OpenapiBilling
Submit_iap_receipt
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
realmId*string
Realm ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
productId*string
Store product id (resolves the local entitlement mapping).
provider*string
"apple" or "google".
receipt*string
Apple StoreKit 2 jwsRepresentation (JWS) or Google purchaseToken.
targetId*string
Entitlement mapping id (mobile App obtains it from the list endpoint).
Format
uuidtargetType*string
Always "entitlement_mapping".
Response Body
application/json
curl -X POST "https://example.com/api/bill/string/purchase/iap/receipt" \ -H "Content-Type: application/json" \ -d '{ "productId": "string", "provider": "string", "receipt": "string", "targetId": "cbca1126-180e-4334-9df8-cf82289d378b", "targetType": "string" }'{ "attemptId": "ff88f33b-bb8d-4c28-947a-07ff3d628b10", "billingType": "string", "entitlementKey": "string", "failureReason": "string", "status": "string"}Empty
Empty
Empty
Empty
Empty